Foreman - Bug #6657

Major/monor version fields should not accept negative integer values while creating OS
07/17/2014 02:53 AM - Ori Rabin

Status: Closed
Priority: Normal
Assignee: Ori Rabin
Category: Database
Target version: 1.6.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1120199 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/1593
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqgi?id=1120199
Description of problem:
while creating new OS, | can pass negative integer values to major/minor version fields.

Version-Release number of selected component (if applicable):

How reproducible:
always

Steps to Reproduce:

1. use -ve values for major/minor version while creating OS
2.

3.

Actual results:
User can input -ve values for major/minor versions

Expected results:
Major/monor version fields should not accept negative integer values while creating OS

Additional info:

Associated revisions

Revision 61a13f7d - 07/31/2014 05:59 AM - Dominic Cleal

refs #6657 - add new validates_lengths_from_database dependency

Revision 3034e8e2 - 07/31/2014 06:00 AM - Ori Rabin
fixes #6636, #6657, #6694 - add field length validations, extend audit field length

Revision 7f49¢c9a0 - 07/31/2014 06:23 AM - Lukas Zapletal
Merge pull request #293 from domcleal/rpm/develop-6657-validator

refs #6657 - add new validates_lengths_from_database dependency

History

#1 - 07/17/2014 02:57 AM - Ori Rabin

- Status changed from New to Assigned

#2 - 07/17/2014 03:32 AM - Ori Rabin
- Status changed from Assigned to Ready For Testing
#3 - 07/21/2014 04:16 AM - Dominic Cleal

- Category set to Database

- Target version set to 1.8.0

- Pull request https://github.com/theforeman/foreman/pull/1593 added
- Pull request deleted ()

#4 - 07/30/2014 06:50 AM - Anonymous

- Target version changed from 1.8.0to 1.7.5

#5 - 07/31/2014 05:58 AM - Dominic Cleal

- translation missing: en.field_release set to 10

#6 - 07/31/2014 06:01 AM - Ori Rabin
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 3034e8e28302eab858fa43b71136212350396808.
